### Method

# FwupdPlugin Plugin cache_add

since: 0.8.0

#### Declaration [src]

    void
    fu_plugin_cache_add (
      FuPlugin* self,
      const gchar* id,
      gpointer dev
    )

#### Description [src]

Adds an object to the per-plugin cache.

Available since: 0.8.0

#### Parameters

`id`

  Type: `const gchar*`

  The key.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`dev`

  Type: `gpointer`

  A `GObject`, typically a `FuDevice`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.